Add s105 and s106, remove old versions and compatiblity code
02/19/2021 02:51 PM - Eric Flumerfelt

Status: Closed Start date: 02/19/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: artdaq v3_09_05

Experiment: - Co-Assignees:

Description

It is definitely time to update our supported art version list again. My proposal is to remove all but the versions in use by SBN and
Muz2e, plus versions that they might move to in the near future.

This results in the following list: s97 (SBN current), s103 (most recent version in same art line as s97), s104 (Mu2e TDAQ current),
s105 (Mu2e Offline current), s106 (Current art).

By removing older art versions, several places in the code can be cleaned up (#if ART_HEX_VERSION).

History

#1 - 02/23/2021 02:34 PM - Ron Rechenmacher

- Status changed from New to Resolved

resolvee before reviewed

#2 - 02/23/2021 02:36 PM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

Reviewed code, ran demo in a couple of different qualifier combinations, ran Eric's artdag-product-build/buildProducts.sh

#3 - 03/01/2021 12:55 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_05

- Status changed from Reviewed to Closed
